#
#   Copyright 2018, Cordite Foundation.
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
# Service
# selector: defines which deployment the service points at

apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: cordite-node
  namespace: default
  labels:
    app: cordite-node
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: cordite-node
    spec:
      containers:
        - name: cordite
          image: cordite/cordite:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
            - containerPort: 10002
          env:
            - name: CORDITE_LEGAL_NAME
              value: "O=Cordite-test-kubernetes, OU=Cordite Foundation, L=New York City, C=US"
            - name: CORDITE_P2P_ADDRESS
              value: "35.195.254.203:10002"
            - name: CORDITE_TLS_CERT_PATH
              value: '/opt/cordite/certificates/tls/tls.crt'
            - name: CORDITE_TLS_KEY_PATH
              value: '/opt/cordite/certificates/tls/tls.key'
#          volumeMounts:
#          - mountPath: /opt/cordite/certificates
#            name: storage
#            subPath: certificates
#          - mountPath: /opt/cordite/db
#            name: storage
#            subPath: db
#          - name: cordite-tls-cert
#            readOnly: true
#            mountPath: /opt/cordite/certificates/tls
#      volumes:
#        - name: storage
#          persistentVolumeClaim:
#            claimName: storage  # PVC created
#        - name: cordite-tls-cert
#          secret: # TLS secret created 
#            secretName: cordite-tls-cert

